Assign Permission

POST /permissions/{permissionId}/assignments

Creates a permission assignment, effectively granting a permission to a specific Identity. Response confirms the assignment (success) or gives the reason why it's not possible (failure).

Required Permissions

Name
Conditions

Permissions:Assign

Always Required

Request body

In the request body specify the identity ID.

Request body fields
Type - Required
Description

identityId

String - Required

The ID of the identity the permission is being assigned to.

Request example

{
  "identityId": "some-identity-id",
}

Response

Response example 200 - no approval required

Response example 202 - approval required

Notes

Assignment IDs look like this: as-stream-pizza-08edcfff93. They follow this format: as-<random-words>-<random-alphanumeric-string>

Last updated